# SEB-Patcher

A patcher for Safe Exam Browser built on MonoMod / Mono.Cecil

This repository is a .NET solution with libraries used to patch prebuilt SEB DLLs.

## Patching

In order to use the patches, do the following:

1. Get the patch DLLs: build them or get them from releases.

2. Put patch DLLs into SafeExamBrowser\Application.

3. Get MonoMod and put all its files into SafeExamBrowser\Application.

4. Run MonoMod on all relevant DLLs, eg. `.\MonoMod.exe SafeExamBrowser.Monitoring.dll`

## Development

This project was created in MonoDevelop, but should be compatible with Visual Studio.

All you have to do is clone this repository, change the `ReferenceBasePath`s in the projects, and open it in your IDE.

Set `ReferenceBasePath` to your SEB installation (SafeExamBrowser\Application). You also need to copy the MonoMod files into your SEB installation.

If you want to separate your development/testing files from your actual SEB installation, I recommend copying the files in SafeExamBrowser\Application and the MonoMod files to their own directory.